extern crate cc;
extern crate pkg_config;

fn main()
{
	let mut deps = Vec::new();
	deps.push(pkg_config::probe_library("poppler-glib").unwrap());
	deps.push(pkg_config::probe_library("cairo").unwrap());
	deps.push(pkg_config::probe_library("pangocairo").unwrap());

	let mut build = cc::Build::new();
	build.file("test.c");
	deps.iter().flat_map(|lib| &lib.include_paths).for_each(|dir| {build.include(dir);});
	build.compile("test");
}
