#include <stdio.h>
#include <poppler.h>

void test()
{
	gchar *cdir = g_get_current_dir();
	gchar *path = g_build_filename(cdir, "test.pdf", NULL);
	gchar *uri = g_filename_to_uri(path, NULL, NULL);
	PopplerDocument *doc = poppler_document_new_from_file(uri, NULL, NULL);

	printf("%i\n", poppler_document_get_n_pages(doc));

	g_object_unref(doc);
	g_free(uri);
	g_free(path);
	g_free(cdir);
}
